% This is an example of how to modify the style of your
% thesis.  Check the guidelines for your school/university
% on the required format for a PhD thesis.

\newcommand{\comment}[1]{}

% First identify the class:

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{mythesis}

\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}

\ProcessOptions

\LoadClass{report}

\usepackage{geometry}
\usepackage{multicol}
\usepackage[latin1]{inputenc}
\usepackage[swedish]{babel}
\usepackage{fancyhdr}

% Deffintioner

\geometry{textwidth=170mm,textheight=230mm}
\pagestyle{fancy}

\renewcommand{\chaptermark}[1]{\markboth{\hrulefill\ $_{\mbox{\large #1}}$ \hrulefill\vspace{2pt}}{}}

\chead{\leftmark}

\lhead{}

\rhead{}

\cfoot{\thepage}

\renewcommand{\footrulewidth}{0.5pt}

\fancypagestyle{plain}
{
    \chead{}
    \lhead{}
    \rhead{}
    \cfoot{\thepage}
    \renewcommand{\headrulewidth}{0.0pt}
}

% Kommandon

\renewcommand{\section}[1]
{
    %\vfill
    \noindent\parbox{83.24mm}{
    \begin{samepage}
    \vspace{10pt}
    \hrule                                           % horizontal line
    \begin{center}\LARGE\bf #1\end{center}           % section title
    \hrule                                           % horizontal rule
    \vspace{10pt}
    \addcontentsline{toc}{section}{#1}
    \end{samepage}
    %\noindent                                       % skippa nsta parindent
    }
}



\renewcommand{\subsection}[1]
{
    \begin{samepage}
    \vspace{5pt}
    \begin{center}\Large #1\end{center}              % section title
    \hrule                                           % horizontal rule
    \vspace{5pt}
    \addcontentsline{toc}{subsection}{#1}
    \end{samepage}
}

\renewcommand{\subsubsection}[1]
{
    \begin{samepage}
    %\vspace{5pt}
    \begin{center}\large\emph{#1}\end{center}  % section title
    %\vspace{5pt}
    %\addcontentsline{toc}{subsubsection}{#1}
    \end{samepage}
}

% Redefining the chapter heading styles

\renewcommand{\@makechapterhead}[1]{
    \begin{samepage}
    \hrule                                           % horizontal line
    \begin{center}\Huge\MakeUppercase{\bf #1}\end{center}            % chapter title
    \hrule                                           % horizontal rule
    \vspace{10pt}                                    % add some vertical space
    \end{samepage}
    %\addcontentsline{toc}{chapter}{#1}
}

\renewcommand{\@makeschapterhead}[1]{
    \begin{samepage}
    %\hrule                                           % horizontal line
    \begin{center}\Huge\MakeUppercase{ #1}\end{center}            % chapter title
    %\hrule                                           % horizontal rule
    \vspace{10pt}                                    % add some vertical space
    \end{samepage}
}


\renewcommand\chapter{%\if@openright\cleardoublepage\else\clearpage\fi
                    \thispagestyle{plain}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter.}%
                         \addcontentsline{toc}{chapter}%
                                   {\protect #1}%
                    \else
                      \addcontentsline{toc}{chapter}{#1}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \@makechapterhead{#2}%
                      \@afterheading
                    \fi}

\renewcommand\tableofcontents{%
    \chapter*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \begin{multicols}{3}
    \@starttoc{toc}%
    \end{multicols}
    }


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% \anfang %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\def\anfang#1#2{{\noindent
    \setbox0\hbox{#1}\setbox1\hbox{#2}\setbox2\hbox{(}%
    \count0=\ht0\advance\count0 by\dp0\count1\baselineskip
    \advance\count0 by-\ht1\advance\count0by\ht2
    \dimen1=.5ex\advance\count0by\dimen1\divide\count0 by\count1
    \advance\count0 by1\dimen0\wd0
    \advance\dimen0 by.25em\dimen1=\ht0\advance\dimen1 by-\ht1
    \global\hangindent\dimen0\global\hangafter-\count0
    \hskip-\dimen0\setbox0\hbox to\dimen0{\raise-\dimen1\box0\hss}%
    \dp0=0in\ht0=0in\box0}#2}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\endinput
